启用 Intel MPI - Amazon ParallelCluster
Amazon Web Services 文档中描述的 Amazon Web Services 服务或功能可能因区域而异。要查看适用于中国区域的差异,请参阅中国的 Amazon Web Services 服务入门

本文属于机器翻译版本。若本译文内容与英语原文存在差异,则一律以英文原文为准。

启用 Intel MPI

Intel MPI 可在Amazon ParallelCluster用于的 AMIalinux2centos7centos8ubuntu1804, 和ubuntu2004 values for the base_os设置。要使用英特尔 MPI,您必须确认并接受英特尔简化软件许可。默认情况下,Open MPI 放置在路径中。要启用 Intel MPI 而不是 Open MPI,您必须首先加载 Intel MPI 模块。然后,您需要使用最新版本安装最新版本,方法是使用module load intelmpi。模块的确切名称随每次更新发生变化。要查看哪些模块可用,请运行 module avail。输出如下所示。

$ module avail ----------------------------------------- /usr/share/Modules/modulefiles ------------------------------------------ dot libfabric-aws/1.8.1amzn1.3 module-info null use.own module-git modules openmpi/4.0.2 ------------------------------------------------ /etc/modulefiles ------------------------------------------------- --------------------------------- /opt/intel/impi/2019.7.217/intel64/modulefiles ---------------------------------- intelmpi

要加载模块,请运行 module load modulename。您可以将其添加到用于运行 mpirun 的脚本中。

$ module load intelmpi

要查看加载了哪些模块,请运行module list

$ module list Currently Loaded Modulefiles: 1) intelmpi

要验证是否已启用 Intel MPI,请运行 mpirun --version

$ mpirun --version Intel(R) MPI Library for Linux* OS, Version 2019 Update 7 Build 20200312 (id: 5dc2dd3e9) Copyright 2003-2020, Intel Corporation.

加载 Intel MPI 模块后,将更改多个路径以使用 Intel MPI 工具。要运行由 Intel MPI 工具编译的代码,请首先加载 Intel MPI 模块。

注意

英特尔 MPI 不兼容Amazon基于重力的实例。

注意

优化前Amazon ParallelCluster版本 2.5.0,Intel MPI 在Amazon ParallelCluster中国(北京)和中国(宁夏)区域的 AMI。